// eslint-disable-next-line
import {
  UserLayout,
  BasicLayout,
  RouteView,
  BlankLayout,
  PageView
} from '@/layouts'

export const asyncRouterMap = [{
  path: '/',
  name: 'index',
  component: BasicLayout,
  meta: {
    title: '首页'
  },
  redirect: '/home',
  children: [{
    path: '/home',
    name: 'home',
    redirect: '/home',
    component: PageView,
    meta: {
      title: '首页',
      icon: 'home'
    },
    hideChildrenInMenu: true,
    children: [{
      path: '/home',
      name: 'home',
      component: () => import(/* webpackChunkName: "home" */ '@/views/Home'),
      meta: {
        title: '首页',
        icon: 'home',
        hide: true
      }
    }
    ]
  },
  {
    path: '/changePwd',
    name: 'changePwd',
    component: () => import(/* webpackChunkName: "home" */ '@/views/user/ChangePwd'),
    meta: {
      title: '修改密码',
      icon: 'home'
    },
    hidden: true
  },
  // 销售管理
  {
    path: '/salesManagement',
    redirect: '/salesManagement/salesQuery',
    component: PageView,
    meta: {
      title: '销售管理',
      icon: 'account-book'
      // permission: 'M_salesManagement'
    },
    children: [
      {
        path: '/salesManagement/salesQuery',
        redirect: '/salesManagement/salesQuery/list',
        name: 'salesQuery',
        component: RouteView,
        meta: {
          title: '销售单查询',
          icon: 'monitor'
          // permission: 'M_salesQuery_list'
        },
        hideChildrenInMenu: true,
        children: [
          {
            path: 'list',
            name: 'salesQueryList',
            component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/salesQuery/list.vue'),
            meta: {
              title: '销售单列表',
              icon: 'menu',
              hidden: true
              // permission: 'M_salesQuery_list'
            }
          },
          {
            path: 'detail/:id',
            name: 'salesDetail',
            component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/salesQuery/salesDetail.vue'),
            meta: {
              title: '销售单明细',
              icon: 'read',
              hidden: true
              // permission: 'M_salesDetail'
            }
          },
          {
            path: 'salesNew',
            name: 'salesNew',
            component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/salesQuery/salesNew.vue'),
            meta: {
              title: '新建销售单',
              icon: 'plus-square',
              hidden: true
              // permission: 'M_salesNew'
            }
          },
          {
            path: 'salesEdit/:id',
            name: 'salesEdit',
            component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/salesQuery/salesNew.vue'),
            meta: {
              title: '修改销售单',
              icon: 'edit',
              hidden: true
              // permission: 'M_salesNew'
            }
          }
        ]
      },
      {
        path: '/salesManagement/outboundOrder',
        redirect: '/salesManagement/outboundOrder/list',
        name: 'outboundOrder',
        component: RouteView,
        meta: {
          title: '出库',
          icon: 'export'
          // permission: 'M_outboundOrder'
        },
        hideChildrenInMenu: true,
        children: [
          {
            path: 'list',
            name: 'outboundOrderList',
            component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/outboundOrder/list.vue'),
            meta: {
              title: '出库列表',
              icon: 'profile',
              hidden: true
              // permission: 'M_outboundOrder_list'
            }
          },
          {
            path: 'detail/:id',
            name: 'outboundOrderDetail',
            component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/outboundOrder/detail.vue'),
            meta: {
              title: '出库明细',
              icon: 'file-done',
              hidden: true
              // permission: 'B_goodsManage_edit'
            }
          }
        ]
      },
      {
        path: '/salesManagement/urgentItemsOffset',
        redirect: '/salesManagement/urgentItemsOffset/list',
        name: 'urgentItemsOffset',
        component: RouteView,
        meta: {
          title: '急件冲减',
          icon: 'rocket'
          // permission: 'M_goodsManage_list'
        },
        hideChildrenInMenu: true,
        children: [
          {
            path: '/salesManagement/urgentItemsOffset/list',
            name: 'urgentItemsOffsetList',
            component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/urgentItemsOffset/list.vue'),
            meta: {
              title: '急件冲减列表',
              icon: 'profile',
              hidden: true
              // permission: 'M_goodsManage_list'
            }
          },
          {
            path: '/salesManagement/urgentItemsOffset/detail/:id',
            name: 'urgentItemsOffsetDetail',
            component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/urgentItemsOffset/detail.vue'),
            meta: {
              title: '急件冲减详情',
              icon: 'snippets',
              hidden: true
              // permission: 'B_goodsManage_edit'
            }
          }
        ]
      },
      {
        path: '/salesManagement/salesReturn',
        redirect: '/salesManagement/salesReturn/list',
        name: 'salesReturn',
        component: RouteView,
        meta: {
          title: '销售退货',
          icon: 'fund'
          // permission: 'M_salesReturn_list'
        },
        hideChildrenInMenu: true,
        children: [
          {
            path: 'list',
            name: 'salesReturnList',
            component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/salesReturn/list.vue'),
            meta: {
              title: '退货单列表',
              icon: 'menu',
              hidden: true
              // permission: 'M_salesReturn_list'
            }
          },
          {
            path: 'detail/:id',
            name: 'salesReturnDetail',
            component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/salesReturn/detail.vue'),
            meta: {
              title: '退货单明细',
              icon: 'read',
              hidden: true
              // permission: 'M_salesReturn'
            }
          },
          {
            path: 'salesReturnNew',
            name: 'salesReturnNew',
            component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/salesReturn/salesReturnNew.vue'),
            meta: {
              title: '新建退货单',
              icon: 'plus-square',
              hidden: true
              // permission: 'M_salesReturnNew'
            }
          },
          {
            path: 'salesReturnEdit/:id',
            name: 'salesReturnEdit',
            component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/salesReturn/salesReturnNew.vue'),
            meta: {
              title: '修改退货单',
              icon: 'edit',
              hidden: true
              // permission: 'M_salesReturnEdit'
            }
          }
        ]
      },
      {
        path: '/salesManagement/customerManagement',
        redirect: '/salesManagement/customerManagement/list',
        name: 'customerManagement',
        component: RouteView,
        meta: {
          title: '客户管理',
          icon: 'idcard'
          // permission: 'M_goodsManage_list'
        },
        hideChildrenInMenu: true,
        children: [
          {
            path: '/salesManagement/customerManagement/list',
            name: 'customerManagementList',
            component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/customerManagement/list.vue'),
            meta: {
              title: '客户列表',
              icon: 'profile',
              hidden: true
              // permission: 'M_goodsManage_list'
            }
          },
          {
            path: '/salesManagement/customerManagement/add',
            name: 'customerManagementAdd',
            component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/customerManagement/edit.vue'),
            meta: {
              title: '新增客户',
              icon: 'plus-circle',
              hidden: true
              // permission: 'B_goodsManage_edit'
            }
          },
          {
            path: '/salesManagement/customerManagement/edit/:id',
            name: 'customerManagementEdit',
            component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/customerManagement/edit.vue'),
            meta: {
              title: '编辑客户',
              icon: 'edit',
              hidden: true
              // permission: 'B_goodsManage_edit'
            }
          }
        ]
      }
    ]
  },
  // 库存管理
  {
    path: '/inventoryManagement',
    redirect: '/inventoryManagement/inventoryQuery',
    component: PageView,
    meta: {
      title: '库存管理',
      icon: 'shop'
      // permission: 'M_shop'
    },
    children: [
      {
        path: '/inventoryManagement/inventoryQuery',
        redirect: '/inventoryManagement/inventoryQuery/list',
        name: 'inventoryQuery',
        component: RouteView,
        meta: {
          title: '库存查询',
          icon: 'shopping'
          // permission: 'M_goodsManage_list'
        },
        hideChildrenInMenu: true,
        children: [
          {
            path: '/inventoryManagement/inventoryQuery/list',
            name: 'inventoryQueryList',
            component: () => import(/* webpackChunkName: "shop" */ '@/views/inventoryManagement/inventoryQuery/list.vue'),
            meta: {
              title: '库存列表',
              icon: 'shopping',
              hidden: true
              // permission: 'M_goodsManage_list'
            }
          },
          {
            path: '/inventoryManagement/inventoryQuery/warehouseDetail/:id',
            name: 'inventoryQueryWarehouseDetail',
            component: () => import(/* webpackChunkName: "shop" */ '@/views/inventoryManagement/inventoryQuery/warehouseDetail.vue'),
            meta: {
              title: '出入库明细',
              icon: 'shopping',
              hidden: true
              // permission: 'B_goodsManage_edit'
            }
          }
        ]
      },
      {
        path: '/inventoryManagement/inventoryWarning',
        name: 'inventoryWarningList',
        component: () => import(/* webpackChunkName: "shop" */ '@/views/inventoryManagement/inventoryWarning/list.vue'),
        meta: {
          title: '库存预警',
          icon: 'flag'
          // permission: 'M_goodsShelves_0'
        }
      },
      {
        path: '/inventoryManagement/satelliteWarehouseInventory',
        name: 'satelliteWarehouseInventoryList',
        component: () => import(/* webpackChunkName: "shop" */ '@/views/inventoryManagement/satelliteWarehouseInventory/list.vue'),
        meta: {
          title: '卫星仓库存',
          icon: 'flag'
          // permission: 'M_goodsShelves_0'
        }
      },
      {
        path: '/inventoryManagement/warehouse',
        redirect: '/inventoryManagement/warehouse/list',
        name: 'warehouse',
        component: RouteView,
        meta: {
          title: '仓库管理',
          icon: 'shopping'
          // permission: 'M_goodsManage_list'
        },
        hideChildrenInMenu: true,
        children: [
          {
            path: '/inventoryManagement/warehouse/list',
            name: 'warehouseList',
            component: () => import(/* webpackChunkName: "shop" */ '@/views/inventoryManagement/warehouse/list.vue'),
            meta: {
              title: '仓库列表',
              icon: 'shopping',
              hidden: true
              // permission: 'M_goodsManage_list'
            }
          },
          {
            path: '/inventoryManagement/storingLocation/:id',
            name: 'storingLocationList',
            component: () => import(/* webpackChunkName: "shop" */ '@/views/inventoryManagement/warehouse/storingLocation/list.vue'),
            meta: {
              title: '仓位列表',
              icon: 'shopping',
              hidden: true
              // permission: 'B_goodsManage_edit'
            }
          }
        ]
      },
      {
        path: '/inventoryManagement/warehouseAllocation',
        redirect: '/inventoryManagement/warehouseAllocation/list',
        name: 'warehouseAllocation',
        component: RouteView,
        meta: {
          title: '仓库调拨',
          icon: 'shopping'
          // permission: 'M_goodsManage_list'
        },
        hideChildrenInMenu: true,
        children: [
          {
            path: '/inventoryManagement/warehouseAllocation/list',
            name: 'warehouseAllocationList',
            component: () => import(/* webpackChunkName: "shop" */ '@/views/inventoryManagement/warehouseAllocation/list.vue'),
            meta: {
              title: '仓库调拨列表',
              icon: 'shopping',
              hidden: true
              // permission: 'M_goodsManage_list'
            }
          },
          {
            path: '/inventoryManagement/warehouseAllocation/add',
            name: 'warehouseAllocationAdd',
            component: () => import(/* webpackChunkName: "shop" */ '@/views/inventoryManagement/warehouseAllocation/edit.vue'),
            meta: {
              title: '新增仓库调拨',
              icon: 'shopping',
              hidden: true
              // permission: 'B_goodsManage_edit'
            }
          },
          {
            path: '/inventoryManagement/warehouseAllocation/edit/:id',
            name: 'warehouseAllocationEdit',
            component: () => import(/* webpackChunkName: "shop" */ '@/views/inventoryManagement/warehouseAllocation/edit.vue'),
            meta: {
              title: '编辑仓库调拨',
              icon: 'shopping',
              hidden: true
              // permission: 'B_goodsManage_edit'
            }
          },
          {
            path: '/inventoryManagement/warehouseAllocation/detail/:id',
            name: 'warehouseAllocationEdit',
            component: () => import(/* webpackChunkName: "shop" */ '@/views/inventoryManagement/warehouseAllocation/detail.vue'),
            meta: {
              title: '仓库调拨详情',
              icon: 'shopping',
              hidden: true
              // permission: 'B_goodsManage_edit'
            }
          }
        ]
      }
    ]
  },
  {
    path: '/chainAllocation',
    redirect: '/chainAllocation/chainTransferIn',
    component: PageView,
    meta: {
      title: '连锁调拨',
      icon: 'shop'
      // permission: 'M_shop'
    },
    children: [
      {
        path: '/chainAllocation/chainTransferIn',
        redirect: '/chainAllocation/chainTransferIn/list',
        name: 'chainTransferIn',
        component: RouteView,
        meta: {
          title: '连锁调入',
          icon: 'shopping'
          // permission: 'M_goodsManage_list'
        },
        hideChildrenInMenu: true,
        children: [
          {
            path: '/chainAllocation/chainTransferIn/list',
            name: 'chainTransferInList',
            component: () => import(/* webpackChunkName: "shop" */ '@/views/chainAllocation/chainTransferIn/list.vue'),
            meta: {
              title: '连锁调入列表',
              icon: 'shopping',
              hidden: true
              // permission: 'M_goodsManage_list'
            }
          },
          {
            path: '/chainAllocation/chainTransferIn/add',
            name: 'chainTransferInAdd',
            component: () => import(/* webpackChunkName: "shop" */ '@/views/chainAllocation/chainTransferIn/edit.vue'),
            meta: {
              title: '新增连锁调入',
              icon: 'shopping',
              hidden: true
              // permission: 'B_goodsManage_edit'
            }
          },
          {
            path: '/chainAllocation/chainTransferIn/edit/:id',
            name: 'chainTransferInEdit',
            component: () => import(/* webpackChunkName: "shop" */ '@/views/chainAllocation/chainTransferIn/edit.vue'),
            meta: {
              title: '编辑连锁调入',
              icon: 'shopping',
              hidden: true
              // permission: 'B_goodsManage_edit'
            }
          },
          {
            path: '/chainAllocation/chainTransferIn/detail/:id',
            name: 'chainTransferInEdit',
            component: () => import(/* webpackChunkName: "shop" */ '@/views/chainAllocation/chainTransferIn/detail.vue'),
            meta: {
              title: '连锁调入详情',
              icon: 'shopping',
              hidden: true
              // permission: 'B_goodsManage_edit'
            }
          }
        ]
      },
      {
        path: '/chainAllocation/chainTransferOut',
        redirect: '/chainAllocation/chainTransferOut/list',
        name: 'chainTransferOut',
        component: RouteView,
        meta: {
          title: '连锁调出',
          icon: 'shopping'
          // permission: 'M_goodsManage_list'
        },
        hideChildrenInMenu: true,
        children: [
          {
            path: '/chainAllocation/chainTransferOut/list',
            name: 'chainTransferOutList',
            component: () => import(/* webpackChunkName: "shop" */ '@/views/chainAllocation/chainTransferOut/list.vue'),
            meta: {
              title: '连锁调出列表',
              icon: 'shopping',
              hidden: true
              // permission: 'M_goodsManage_list'
            }
          },
          {
            path: '/chainAllocation/chainTransferOut/add',
            name: 'chainTransferOutAdd',
            component: () => import(/* webpackChunkName: "shop" */ '@/views/chainAllocation/chainTransferOut/edit.vue'),
            meta: {
              title: '新增连锁调出',
              icon: 'shopping',
              hidden: true
              // permission: 'B_goodsManage_edit'
            }
          },
          {
            path: '/chainAllocation/chainTransferOut/edit/:id',
            name: 'chainTransferOutEdit',
            component: () => import(/* webpackChunkName: "shop" */ '@/views/chainAllocation/chainTransferOut/edit.vue'),
            meta: {
              title: '编辑连锁调出',
              icon: 'shopping',
              hidden: true
              // permission: 'B_goodsManage_edit'
            }
          },
          {
            path: '/chainAllocation/chainTransferOut/detail/:id',
            name: 'chainTransferOutEdit',
            component: () => import(/* webpackChunkName: "shop" */ '@/views/chainAllocation/chainTransferOut/detail.vue'),
            meta: {
              title: '连锁调出详情',
              icon: 'shopping',
              hidden: true
              // permission: 'B_goodsManage_edit'
            }
          }
        ]
      }
    ]
  },
  // 采购管理
  {
    path: '/purchasingManagement',
    redirect: '/purchasingManagement/purchaseOrder',
    component: PageView,
    meta: {
      title: '采购管理',
      icon: 'shop'
      // permission: 'M_shop'
    },
    children: [
      {
        path: '/purchasingManagement/purchaseOrder',
        redirect: '/purchasingManagement/purchaseOrder/list',
        name: 'purchaseOrder',
        component: RouteView,
        meta: {
          title: '采购单管理',
          icon: 'shopping'
          // permission: 'M_goodsManage_list'
        },
        hideChildrenInMenu: true,
        children: [
          {
            path: '/purchasingManagement/purchaseOrder/list',
            name: 'purchaseOrderList',
            component: () => import(/* webpackChunkName: "shop" */ '@/views/purchasingManagement/purchaseOrder/list.vue'),
            meta: {
              title: '采购单列表',
              icon: 'shopping',
              hidden: true
              // permission: 'M_goodsManage_list'
            }
          },
          {
            path: '/purchasingManagement/purchaseOrder/add',
            name: 'purchaseOrderAdd',
            component: () => import(/* webpackChunkName: "shop" */ '@/views/purchasingManagement/purchaseOrder/edit.vue'),
            meta: {
              title: '新增采购单',
              icon: 'shopping',
              hidden: true
              // permission: 'B_goodsManage_edit'
            }
          },
          {
            path: '/purchasingManagement/purchaseOrder/edit/:id',
            name: 'purchaseOrderEdit',
            component: () => import(/* webpackChunkName: "shop" */ '@/views/purchasingManagement/purchaseOrder/edit.vue'),
            meta: {
              title: '编辑采购单',
              icon: 'shopping',
              hidden: true
              // permission: 'B_goodsManage_edit'
            }
          },
          {
            path: '/purchasingManagement/purchaseOrder/detail/:id',
            name: 'purchaseOrderDetail',
            component: () => import(/* webpackChunkName: "shop" */ '@/views/purchasingManagement/purchaseOrder/detail.vue'),
            meta: {
              title: '采购单详情',
              icon: 'shopping',
              hidden: true
              // permission: 'B_goodsManage_edit'
            }
          },
          {
            path: '/purchasingManagement/purchaseOrder/warehousing/:id',
            name: 'purchaseOrderWarehousing',
            component: () => import(/* webpackChunkName: "shop" */ '@/views/purchasingManagement/purchaseOrder/warehousing.vue'),
            meta: {
              title: '入库',
              icon: 'shopping',
              hidden: true
              // permission: 'B_goodsManage_edit'
            }
          }
        ]
      }

    ]
  },
  // 散件管理
  {
    path: '/bulkManagement',
    redirect: '/bulkManagement/purchaseOrder',
    component: PageView,
    meta: {
      title: '散件管理',
      icon: 'shop'
      // permission: 'M_shop'
    },
    children: [
      {
        path: '/bulkManagement/bulkWarehousingOrder',
        redirect: '/bulkManagement/bulkWarehousingOrder/list',
        name: 'bulkWarehousingOrder',
        component: RouteView,
        meta: {
          title: '散件入库',
          icon: 'shopping'
          // permission: 'M_goodsManage_list'
        },
        hideChildrenInMenu: true,
        children: [
          {
            path: '/bulkManagement/bulkWarehousingOrder/list',
            name: 'bulkWarehousingOrderList',
            component: () => import(/* webpackChunkName: "shop" */ '@/views/bulkManagement/bulkWarehousingOrder/list.vue'),
            meta: {
              title: '散件入库单列表',
              icon: 'shopping',
              hidden: true
              // permission: 'M_goodsManage_list'
            }
          },
          {
            path: '/bulkManagement/bulkWarehousingOrder/add',
            name: 'bulkWarehousingOrderAdd',
            component: () => import(/* webpackChunkName: "shop" */ '@/views/bulkManagement/bulkWarehousingOrder/edit.vue'),
            meta: {
              title: '新增散件入库单',
              icon: 'shopping',
              hidden: true
              // permission: 'B_goodsManage_edit'
            }
          },
          {
            path: '/bulkManagement/bulkWarehousingOrder/edit/:id',
            name: 'bulkWarehousingOrderEdit',
            component: () => import(/* webpackChunkName: "shop" */ '@/views/bulkManagement/bulkWarehousingOrder/edit.vue'),
            meta: {
              title: '编辑散件入库单',
              icon: 'shopping',
              hidden: true
              // permission: 'B_goodsManage_edit'
            }
          },
          {
            path: '/bulkManagement/bulkWarehousingOrder/detail/:id',
            name: 'bulkWarehousingOrderDetail',
            component: () => import(/* webpackChunkName: "shop" */ '@/views/bulkManagement/bulkWarehousingOrder/detail.vue'),
            meta: {
              title: '散件入库单详情',
              icon: 'shopping',
              hidden: true
              // permission: 'B_goodsManage_edit'
            }
          },
          {
            path: '/bulkManagement/bulkWarehousingOrder/warehousing/:id',
            name: 'bulkWarehousingOrderWarehousing',
            component: () => import(/* webpackChunkName: "shop" */ '@/views/bulkManagement/bulkWarehousingOrder/warehousing.vue'),
            meta: {
              title: '入库',
              icon: 'shopping',
              hidden: true
              // permission: 'B_goodsManage_edit'
            }
          }
        ]
      }

    ]
  },
  // 产品管理
  {
    path: '/productManagement',
    redirect: '/productManagement/productInfo',
    component: PageView,
    meta: {
      title: '产品管理',
      icon: 'shop'
      // permission: 'M_shop'
    },
    children: [
      {
        path: '/productManagement/productInfo',
        redirect: '/productManagement/productInfo/list',
        name: 'productInfo',
        component: RouteView,
        meta: {
          title: '产品信息管理',
          icon: 'shopping'
          // permission: 'M_goodsManage_list'
        },
        hideChildrenInMenu: true,
        children: [
          {
            path: '/productManagement/productInfo/list',
            name: 'productInfoList',
            component: () => import(/* webpackChunkName: "shop" */ '@/views/productManagement/productInfo/list.vue'),
            meta: {
              title: '产品信息列表',
              icon: 'shopping',
              hidden: true
              // permission: 'M_goodsManage_list'
            }
          },
          {
            path: '/productManagement/productInfo/add',
            name: 'productInfoAdd',
            component: () => import(/* webpackChunkName: "shop" */ '@/views/productManagement/productInfo/edit.vue'),
            meta: {
              title: '新增产品',
              icon: 'shopping',
              hidden: true
              // permission: 'B_goodsManage_edit'
            }
          },
          {
            path: '/productManagement/productInfo/edit/:id',
            name: 'productInfoEdit',
            component: () => import(/* webpackChunkName: "shop" */ '@/views/productManagement/productInfo/edit.vue'),
            meta: {
              title: '编辑产品',
              icon: 'shopping',
              hidden: true
              // permission: 'B_goodsManage_edit'
            }
          }
        ]
      },
      {
        path: '/productManagement/productBrand',
        redirect: '/productManagement/productBrand/list',
        name: 'productBrand',
        component: RouteView,
        meta: {
          title: '产品品牌管理',
          icon: 'shopping'
          // permission: 'M_goodsManage_list'
        },
        hideChildrenInMenu: true,
        children: [
          {
            path: '/productManagement/productBrand/list',
            name: 'productBrandList',
            component: () => import(/* webpackChunkName: "shop" */ '@/views/productManagement/productBrand/list.vue'),
            meta: {
              title: '产品品牌列表',
              icon: 'shopping',
              hidden: true
              // permission: 'M_goodsManage_list'
            }
          }
        ]
      },
      {
        path: '/productManagement/productCategory',
        redirect: '/productManagement/productCategory/list',
        name: 'productCategory',
        component: RouteView,
        meta: {
          title: '产品类别管理',
          icon: 'shopping'
          // permission: 'M_goodsManage_list'
        },
        hideChildrenInMenu: true,
        children: [
          {
            path: '/productManagement/productCategory/list',
            name: 'productCategoryList',
            component: () => import(/* webpackChunkName: "shop" */ '@/views/productManagement/productCategory/list.vue'),
            meta: {
              title: '产品类别列表',
              icon: 'shopping',
              hidden: true
              // permission: 'M_goodsManage_list'
            }
          }
        ]
      }
    ]
  },
  // 基础资料
  {
    path: '/basicData',
    redirect: '/basicData/supplierManagement',
    component: PageView,
    meta: {
      title: '基础资料',
      icon: 'shop'
      // permission: 'M_shop'
    },
    children: [
      {
        path: '/basicData/supplierManagement',
        redirect: '/basicData/supplierManagement/list',
        name: 'supplierManagement',
        component: RouteView,
        meta: {
          title: '供应商管理',
          icon: 'shopping'
          // permission: 'M_goodsManage_list'
        },
        hideChildrenInMenu: true,
        children: [
          {
            path: '/basicData/supplierManagement/list',
            name: 'supplierManagementList',
            component: () => import(/* webpackChunkName: "shop" */ '@/views/basicData/supplierManagement/list.vue'),
            meta: {
              title: '供应商列表',
              icon: 'shopping',
              hidden: true
              // permission: 'M_goodsManage_list'
            }
          },
          {
            path: '/basicData/supplierManagement/add',
            name: 'supplierManagementAdd',
            component: () => import(/* webpackChunkName: "shop" */ '@/views/basicData/supplierManagement/edit.vue'),
            meta: {
              title: '新增供应商',
              icon: 'shopping',
              hidden: true
              // permission: 'B_goodsManage_edit'
            }
          },
          {
            path: '/basicData/supplierManagement/edit/:id',
            name: 'supplierManagementEdit',
            component: () => import(/* webpackChunkName: "shop" */ '@/views/basicData/supplierManagement/edit.vue'),
            meta: {
              title: '编辑供应商',
              icon: 'shopping',
              hidden: true
              // permission: 'B_goodsManage_edit'
            }
          }
        ]
      },
      {
        path: '/basicData/customerTypeManagement',
        redirect: '/basicData/customerTypeManagement/list',
        name: 'customerTypeManagement',
        component: RouteView,
        meta: {
          title: '客户类型管理',
          icon: 'shopping'
          // permission: 'M_goodsManage_list'
        },
        hideChildrenInMenu: true,
        children: [
          {
            path: '/basicData/customerTypeManagement/list',
            name: 'customerTypeManagementList',
            component: () => import(/* webpackChunkName: "shop" */ '@/views/basicData/customerTypeManagement/list.vue'),
            meta: {
              title: '客户类型列表',
              icon: 'shopping',
              hidden: true
              // permission: 'M_goodsManage_list'
            }
          }
        ]
      }
    ]
  },
  // 财务管理
  // auth
  {
    path: '/auth',
    redirect: '/auth/userList',
    component: PageView,
    meta: {
      title: '权限管理',
      icon: 'lock',
      permission: 'M_auth_0'
    },
    children: [{
      path: '/auth/userList',
      name: 'powerUserList',
      component: () => import(/* webpackChunkName: "auth" */ '@/views/power/user/userList.vue'),
      meta: {
        title: '用户管理',
        icon: 'user',
        permission: 'M_auth_userList'
      }
    },
    {
      path: '/auth/roleList',
      name: 'powerRoleList',
      component: () => import(/* webpackChunkName: "auth" */ '@/views/power/role/roleList.vue'),
      meta: {
        title: '角色管理',
        icon: 'solution',
        permission: 'M_auth_roleList'
      }
    }
    ]
  },
  {
    path: '/setting',
    redirect: '/setting/userList',
    component: PageView,
    meta: {
      title: '系统设置',
      icon: 'setting',
      permission: 'M_setting_0'
    },
    children: [{
      path: '/setting/dataDictionary',
      name: 'powerDD',
      component: () => import(/* webpackChunkName: "setting" */
        '@/views/power/dataDictionary/dataDictionary.vue'),
      meta: {
        title: '数据字典管理',
        icon: 'database',
        permission: 'M_sys_dataDictionary'
      }
    },
    // {
    //   path: '/setting/register',
    //   name: 'powerRegister',
    //   component: () => import(/* webpackChunkName: "setting" */ '@/views/power/register/register.vue'),
    //   meta: {
    //     title: '参数管理',
    //     icon: 'key',
    //     permission: 'M_sys_register'
    //   }
    // },
    {
      path: '/setting/OperateJournal',
      name: 'powerOperateJournal',
      component: () => import(/* webpackChunkName: "setting" */
        '@/views/power/OperateJournal/OperateJournal.vue'),
      meta: {
        title: '操作日志',
        icon: 'read',
        permission: 'M_operateJournal'
      }
    }
    ]
  }
  ]
},
{
  path: '*',
  redirect: '/404',
  hidden: true
}
]

/**
 * 基础路由
 * @type { *[] }
 */
export const constantRouterMap = [{
  path: '/user',
  component: UserLayout,
  redirect: '/user/login',
  hidden: true,
  children: [{
    path: 'login',
    name: 'login',
    component: () => import(/* webpackChunkName: "user" */ '@/views/user/Login')
  },
  {
    path: 'register',
    name: 'register',
    component: () => import(/* webpackChunkName: "user" */ '@/views/user/Register')
  },
  {
    path: 'register-result',
    name: 'registerResult',
    component: () => import(/* webpackChunkName: "user" */ '@/views/user/RegisterResult')
  },
  {
    path: 'recover',
    name: 'recover',
    component: undefined
  }
  ]
},
{
  path: '/404',
  component: () => import(/* webpackChunkName: "fail" */ '@/views/exception/404')
}

]
